commit: 636416e9037eb6f4d08f4fc8915d862c97804905
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 28 02:11:24 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 28 03:16:48 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=636416e9
dev-python/pyarrow: Bump to 20.0.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyarrow/Manifest | 3 +
dev-python/pyarrow/pyarrow-20.0.0.ebuild | 117 +++++++++++++++++++++++++++++++
2 files changed, 120 insertions(+)
diff --git a/dev-python/pyarrow/Manifest b/dev-python/pyarrow/Manifest
index 30053d221929..3a314b1c4cc9 100644
--- a/dev-python/pyarrow/Manifest
+++ b/dev-python/pyarrow/Manifest
@@ -1,3 +1,6 @@
DIST apache-arrow-19.0.1.tar.gz 17849505 BLAKE2B
ba49c79ea2e1ef1ab03aca3cbfdce47a3942eb20c443845a93ab3b5be5dead5b1ad650296e98fbf344dffd895c6147a1fca2724ae853ae7f089b342ffc89987b
SHA512
524187c6f12bbb677b5d4a53e1608c69b56c83a5c8667bfe82d5a10232c33f151a8a7b5e6e26af48d1e0ca25a5d3dc885b27d9b5e798c7e07f115df8f0779516
+DIST apache-arrow-20.0.0.tar.gz 17862661 BLAKE2B
154d4783746abf21ee7e94748cee1f5b640e24d756b08067e3c1135449b907e1888728eff76002e01f405c0d14fd01c76ce4b9de0e49d1116c8216ae8ae297f7
SHA512
067e62d7d311cebfca43473b0aacaacc534da47c3450b75328517df69281d8be1e79b0430cc7e975eb613e05c62a62d6ca92a4c4f7882ae7733f826d774d9081
DIST arrow-testing-4d209492d514c2d3cb2d392681b9aa00e6d8da1c.tar.gz 3572558
BLAKE2B
fe5b6a46babbde8e2becefea09fecf090201a49faa7d4ee2f44b0bb4da42c344b37564999d32fdbd54a81a56c33fbde9b2d9d2fa664bf127cb5661e845fb6229
SHA512
6758ad936e1eeb2c5dd2b4b40fe90822a48a4ce67ee4d36657c168e1db5d9a17c092f4cf571b13d56b568a773515385441874d1ea36a1f6e5b15a99f67176fa3
+DIST arrow-testing-d2a13712303498963395318a4eb42872e66aead7.tar.gz 3572581
BLAKE2B
58e0e0a887efb9f68b9cccc37b946352eb382fe6f621c0778992ec3e1d10cdd5de89674f8282ceb90d0fcef5825b24ff3d0043806c6e353be9df6d1566699d2d
SHA512
e6b76e4ab34744bc804ecfe5baba3e1f483c874f883cc44e8e2504a718b847cb05f0c7559e40a446deab99da20d1f9bbfe03d553ee2bb5543bef889c2b555259
+DIST parquet-testing-18d17540097fca7c40be3d42c167e6bfad90763c.tar.gz 1077258
BLAKE2B
457bf3404b9f6ad8da5cbecade4c2365e39e6409c5b551092a7f1f18f81f557e94e60adfb381058c5fd3a4000dae24c1ffebfbfa965d88e81f098f016bfdc816
SHA512
2cadc694e6cd2e52869b4ff0d2659c77c613fc870b54ca7f4cb64068d0e7956723549b6d5513a117a2e147d4161e2fcdbe15992a3d8e56306b25923676f182a0
DIST parquet-testing-cb7a9674142c137367bf75a01b79c6e214a73199.tar.gz 1068025
BLAKE2B
0fdd12d04108b27b17564c60ca36e751453f5d74cfbbe3a076e8befa1696aa0f093e2d1a5eacb99e69a98deda502930ba79b8329403af1e8b9d696e6617c6075
SHA512
dd221d9d59442cebb7158d7cf769d6e5323416bfcde2852eee37a26ff089bc04ea10b9ae7158a37d8694c10469d77c7d251d0dd2549596a7b3899d9c39b45997
diff --git a/dev-python/pyarrow/pyarrow-20.0.0.ebuild
b/dev-python/pyarrow/pyarrow-20.0.0.ebuild
new file mode 100644
index 000000000000..93a912dafe9e
--- /dev/null
+++ b/dev-python/pyarrow/pyarrow-20.0.0.ebuild
@@ -0,0 +1,117 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 multiprocessing
+
+# arrow.git: testing
+ARROW_DATA_GIT_HASH=d2a13712303498963395318a4eb42872e66aead7
+# arrow.git: cpp/submodules/parquet-testing
+PARQUET_DATA_GIT_HASH=18d17540097fca7c40be3d42c167e6bfad90763c
+
+DESCRIPTION="Python library for Apache Arrow"
+HOMEPAGE="
+ https://arrow.apache.org/
+ https://github.com/apache/arrow/
+ https://pypi.org/project/pyarrow/
+"
+SRC_URI="
+ mirror://apache/arrow/arrow-${PV}/apache-arrow-${PV}.tar.gz
+ test? (
+
https://github.com/apache/parquet-testing/archive/${PARQUET_DATA_GIT_HASH}.tar.gz
+ -> parquet-testing-${PARQUET_DATA_GIT_HASH}.tar.gz
+
https://github.com/apache/arrow-testing/archive/${ARROW_DATA_GIT_HASH}.tar.gz
+ -> arrow-testing-${ARROW_DATA_GIT_HASH}.tar.gz
+ )
+"
+S="${WORKDIR}/apache-arrow-${PV}/python"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="+parquet +snappy ssl"
+
+RDEPEND="
+
~dev-libs/apache-arrow-${PV}[compute,dataset,json,parquet?,re2,snappy?,ssl?]
+ >=dev-python/numpy-1.16.6:=[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cffi[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-libs/apache-arrow[lz4,zlib]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # cython's -Werror
+ sed -i -e '/--warning-errors/d' CMakeLists.txt || die
+}
+
+src_compile() {
+ export PYARROW_PARALLEL="$(makeopts_jobs)"
+ export PYARROW_BUILD_VERBOSE=1
+ export PYARROW_CXXFLAGS="${CXXFLAGS}"
+ export PYARROW_BUNDLE_ARROW_CPP_HEADERS=0
+ export PYARROW_CMAKE_GENERATOR=Ninja
+ export PYARROW_WITH_HDFS=1
+ if use parquet; then
+ export PYARROW_WITH_DATASET=1
+ export PYARROW_WITH_PARQUET=1
+ use ssl && export PYARROW_WITH_PARQUET_ENCRYPTION=1
+ fi
+ if use snappy; then
+ export PYARROW_WITH_SNAPPY=1
+ fi
+
+ distutils-r1_src_compile
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # wtf?
+ tests/test_fs.py::test_localfs_errors
+ # these require apache-arrow with jemalloc that doesn't seem
+ # to be supported by the Gentoo package
+ tests/test_memory.py::test_env_var
+ tests/test_memory.py::test_specific_memory_pools
+ tests/test_memory.py::test_supported_memory_backends
+ # require mimalloc
+ tests/test_memory.py::test_memory_pool_factories
+ # hypothesis health check failures
+ # https://github.com/apache/arrow/issues/41318
+ tests/interchange/test_interchange_spec.py::test_dtypes
+ tests/test_convert_builtin.py::test_array_to_pylist_roundtrip
+ tests/test_feather.py::test_roundtrip
+ tests/test_pandas.py::test_array_to_pandas_roundtrip
+ tests/test_strategies.py::test_types
+ tests/test_types.py::test_hashing
+ # fragile memory tests
+
tests/test_csv.py::TestSerialStreamingCSVRead::test_batch_lifetime
+
tests/test_csv.py::TestThreadedStreamingCSVRead::test_batch_lifetime
+ # takes forever, and manages to generate timedeltas over 64 bits
+ tests/test_strategies.py
+ "tests/test_array.py::test_pickling[builtin_pickle]"
+ # scipy.sparse does not support dtype float16
+
"tests/test_sparse_tensor.py::test_sparse_coo_tensor_scipy_roundtrip[f2-arrow_type8]"
+ )
+
+ cd "${T}" || die
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x
PARQUET_TEST_DATA="${WORKDIR}/parquet-testing-${PARQUET_DATA_GIT_HASH}/data"
+ local -x
ARROW_TEST_DATA="${WORKDIR}/arrow-testing-${ARROW_DATA_GIT_HASH}/data"
+ epytest --pyargs pyarrow
+}